#
Creating infrastructure profiles
Admin only
To create an infrastructure profile, use the following endpoint:
POST /api/infrastructure-profile/{name}
The {name} parameter is the name of the infrastructure profile to create and should be defined by the user.
The request body must include a JSON object with the following fields:
{
"format": "string",
"validityMonths": 24,
"description": "string|null",
}
The format field represents the format you'd like the API to return upon successful profile creation. Valid values are (case insensitive):
- pkcs12
- pfx
- pem
- crt
The validityMonths field represents the number of months you'd like the certificate to be valid for. The minimum is 12 months and the maximum is 60 months
Depending on the format field, the reponse will vary slightly. On success the response will be the default API response with the data being a profile entity in the following format:
{
"serial": "string",
"name": "string",
"description": "string|null",
"creationDate": "2023-12-15T15:30:52.768Z",
"expirationDate": "2023-12-15T15:30:52.768Z",
"revokeDate": "2023-12-15T15:30:52.768Z|null",
"lastOcsp": "2023-12-15T15:30:52.768Z|null",
"data": "string",
"identity": "string",
"radiusCN": "string",
"radiusCA": "string"
}
The data field is the base64 encoded PKCS12 file with an empty password.
{
"serial": "string",
"name": "string",
"description": "string|null",
"creationDate": "2023-12-15T15:30:52.768Z",
"expirationDate": "2023-12-15T15:30:52.768Z",
"revokeDate": "2023-12-15T15:30:52.768Z|null",
"lastOcsp": "2023-12-15T15:30:52.768Z|null",
"certificate": "string",
"privateKey": "string",
"identity": "string",
"radiusCN": "string",
"radiusCA": "string"
}